org.eclipse.wst.jsdt.debug.core.jsdi

## Interface Variable

All Superinterfaces:
  Mirror, Property

    public interface Variable
    extends Property

Abstract description of a variable.

Since:
  1.0
See Also:
  `Property`
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isArgument()` Returns `true` if this variable is an argument `false` otherwise.
`boolean` `isVisible(StackFrame frame)` Returns `true` if this variable is externally visible in the context of the given `StackFrame`.

### Methods inherited from interface org.eclipse.wst.jsdt.debug.core.jsdi.Property

`name, value`

### Methods inherited from interface org.eclipse.wst.jsdt.debug.core.jsdi.Mirror

`virtualMachine`

### Method Detail

#### isArgument

    boolean isArgument()

Returns `true` if this variable is an argument `false` otherwise.

Returns:
  `true` if this variable is an argument `false` otherwise

#### isVisible

    boolean isVisible(StackFrame frame)

Returns `true` if this variable is externally visible in the context of the given `StackFrame`.

Parameters:
  `frame` - the `StackFrame` context
Returns:
  `true` if this variable is externally visible within the given `StackFrame` `false` otherwise